# Path Tools Suite

## Introduction
A suite of useful path-based tools and apis. It is a pretty common pattern in
Drupal to use path based logic and patterns - for instance the default
breadcrumb builder uses the path to build the breadcrumb. This pattern is easy
to learn and understand for editors, so why not extend it to other parts of your
project.

## Requirements
No additional requirements.

## Features
### Path based breadcrumbs for Taxonomy Terms
The default breadcrumb builder provided by core for terms uses the term
hierarchy to build the breadcrumb. With this feature it can be switched to a
path based breadcrumb per taxonomy. Just enable this feature on the vocabulary
settings page.

### Parent Entity from path service
A service, which tries to determine the parent entity of the current path. This
can be used to inherit information from a "parent" entity, without the need of
a relation like taxonomy does.

A common use-case would be, to inherit the header image from the "parent" entity
based on the path.
