<?php

namespace Drupal\path_tools\Breadcrumb;

use Drupal\Core\Cache\CacheableMetadata;
use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\system\PathBasedBreadcrumbBuilder;
use Drupal\taxonomy\TermInterface;

/**
 * Resets the term breadcrumb builder to default.
 */
class TermBreadcrumbBuilder extends PathBasedBreadcrumbBuilder {

  /**
   * {@inheritdoc}
   */
  public function applies(RouteMatchInterface $route_match, ?CacheableMetadata $cacheable_metadata = NULL) {
    return
      $route_match->getRouteName() == 'entity.taxonomy_term.canonical' &&
      ($term = $route_match->getParameter('taxonomy_term')) instanceof TermInterface &&
      $term->vid->entity->getThirdPartySetting('path_tools', 'path_based_breadcrumb', FALSE);
  }

}
